Bug 884308 - AttributeError: 'NoneType' object has no attribute 'name'
Summary: AttributeError: 'NoneType' object has no attribute 'name'
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:689445048b8187c3abea6d515c2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-05 21:57 UTC by Steve Tyler
Modified: 2013-08-09 21:00 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-09 19:09:21 UTC
Type: ---


Attachments (Terms of Use)
anaconda-tb-3voY6u (3.18 MB, text/plain)
2012-12-05 22:09 UTC, Steve Tyler
no flags Details
anaconda-tb-0U_WR5 for reproducer (799.33 KB, text/plain)
2012-12-05 22:34 UTC, Steve Tyler
no flags Details

Description Steve Tyler 2012-12-05 21:57:27 UTC
Description of problem:
Reformat and enable encryption on preexisting "/" on logical volume.

Version-Release number of selected component:
anaconda-18.35-1.fc18.x86_64

Additional info:
libreport version: 2.0.17
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8
kernel:         3.6.6-3.fc18.x86_64

description:
:The following was filed automatically by anaconda:
:anaconda 18.35 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 1034, in _save_right_side
:    if self._device_container_name != old_container.name:
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 1706, in on_finish_clicked
:    self._save_right_side(self._current_selector)
:AttributeError: 'NoneType' object has no attribute 'name'

Comment 1 Steve Tyler 2012-12-05 22:09:36 UTC
Created attachment 658425 [details]
anaconda-tb-3voY6u

No logs were automatically attached ...

Comment 2 Steve Tyler 2012-12-05 22:34:36 UTC
Created attachment 658428 [details]
anaconda-tb-0U_WR5 for reproducer

Here is a reproducer and corresponding log file:

Start with a 12 GB disk having a preexisting storage configuration:
NAME                    MAJ:MIN RM   SIZE RO TYPE MOUNTPOINT
sda                       8:0    0    12G  0 disk 
├─sda1                    8:1    0   500M  0 part 
└─sda2                    8:2    0   4.4G  0 part 
  ├─fedora-swap (dm-2)  253:2    0   500M  0 lvm  
  └─fedora-root (dm-3)  253:3    0   3.9G  0 lvm  

Proceed to Manual Partitioning.
Click Root.
Click "+" to expand Customize...
Check Reformat.
Check Encrypt.
Enter "/" for Mount Point.
Click Apply Changes.
Click "+" to expand New ... Installation.
Exception occurs: AttributeError: 'NoneType' object has no attribute 'name'.

Tested with:
$ qemu-kvm -m 2048 -hda f18-test-2.img -cdrom ~/xfr/fedora/F18/F18-Beta/Final/Fedora-18-Beta-x86_64-Live-Desktop.iso -usb -vga qxl -boot menu=on -usbdevice mouse

Comment 3 Chris Lumens 2013-01-08 21:25:07 UTC
I am unable to reproduce this with the instructions in comment #2 and anaconda 18.37.11.  If you are able to, please let me know.  Thanks.

Comment 4 Steve Tyler 2013-08-09 21:00:27 UTC
David: Closing this bug with resolution INSUFFICIENT_DATA is *highly offensive*. I go to a lot of trouble to write detailed reproducers, and Comment 2 is about as detailed as you will ever get. You should be thanking me for providing such detailed reproducers.

You don't appear to understand Comment 3. Chris is retesting with a *later* version of anaconda and reporting that the bug does not occur with my reproducer. That likely means that the bug is fixed, but there is no explicit commit in git. If you don't understand Comment 3, I suggest you ask Chris to explain what it *really* means. And ask what the appropriate resolution should be.

If you are going to be doing a lot of triage, I suggest you learn to memorize which version of anaconda is in each Fedora release, including Alpha, Beta, and Final. If you look at Comment 2, you will see that I provided you with *ample* information to figure that out -- I was testing with F18-Beta-Final.

Since your colleagues don't appear to be giving you much mentoring, here are two ways:

1. Start F18-Beta-Final Live in a VM and run: $ rpm -q anaconda.

2. Find the last *stable* F18 anaconda build *before* the release date:

Subject: Announcing the release of Fedora 18 Beta!!!
Date: 2012-11-28 21:53:58 GMT (36 weeks, 1 day, 22 hours and 24 minutes ago)
http://article.gmane.org/gmane.linux.redhat.fedora.test.announce/575

anaconda-18.29.2-1.fc18 is dated 2012-11-19:
https://admin.fedoraproject.org/updates/search/anaconda/


Note You need to log in before you can comment on or make changes to this bug.